import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {IsCommunity} from '../../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {ManageProjectsComponent} from './manage-projects.component';

@NgModule({
    imports: [
        RouterModule.forChild([
            { path: '', canActivate: [IsCommunity, ConnectAdminLoginGuard], component: ManageProjectsComponent}
        ])
    ]
})
export class CommunityProjectsRoutingModule { }
