import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {DivIdsComponent} from './divIds.component';
import {AdminLoginGuard} from "../../openaireLibrary/login/adminLoginGuard.guard";

@NgModule({
    imports: [
        RouterModule.forChild([
            { path: '', canActivate: [AdminLoginGuard], component: DivIdsComponent}
        ])
    ]
})
export class DivIdsRoutingModule { }
