import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {NewDivHelpContentRoutingModule} from './new-div-help-content-routing.module';
import {NewDivHelpContentComponent} from './new-div-help-content.component';
import {DivHelpContentFormModule} from './div-help-content-form.module';

@NgModule({
    imports: [
        CommonModule,  RouterModule,
        DivHelpContentFormModule, NewDivHelpContentRoutingModule
    ],
    declarations: [
        NewDivHelpContentComponent
    ],
    providers: [IsCommunity, ConnectAdminLoginGuard],
    exports: [NewDivHelpContentComponent]
})
export class NewDivHelpContentModule { }
