import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {EditPageHelpContentRoutingModule} from './edit-page-help-content-routing.module';
import {EditPageHelpContentComponent} from './edit-page-help-content.component';
import {PageHelpContentFormModule} from './page-help-content-form.module';

@NgModule({
    imports: [
        CommonModule,  RouterModule,
        PageHelpContentFormModule, EditPageHelpContentRoutingModule
    ],
    declarations: [
        EditPageHelpContentComponent
    ],
    providers: [IsCommunity, ConnectAdminLoginGuard],
    exports: [EditPageHelpContentComponent]
})
export class EditPageHelpContentModule { }
