import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {NewPageHelpContentComponent} from './new-page-help-content.component';
import {NewPageHelpContentRoutingModule} from './new-page-help-content-routing.module';
import {PageHelpContentFormModule} from './page-help-content-form.module';

@NgModule({
    imports: [
        CommonModule,  RouterModule,
        PageHelpContentFormModule, NewPageHelpContentRoutingModule
    ],
    declarations: [
        NewPageHelpContentComponent
    ],
    providers: [IsCommunity, ConnectAdminLoginGuard],
    exports: [NewPageHelpContentComponent]
})
export class NewPageHelpContentModule { }
