import { NgModule } from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {FABModule} from '../../utils/fabModule.module';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {SafeHtmlPipeModule} from '../../openaireLibrary/utils/pipes/safeHTMLPipe.module';
import {CKEditorModule} from 'ng2-ckeditor';
import {PageContentFormComponent} from './page-help-content-form.component';

@NgModule({
    imports: [
        CommonModule, FormsModule,
        FABModule, SafeHtmlPipeModule, CKEditorModule,
        AlertModalModule, ReactiveFormsModule
    ],
    declarations: [
        PageContentFormComponent
    ],
    exports: [PageContentFormComponent]
})
export class PageHelpContentFormModule { }
