import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {StatsComponent} from './stats.component';

@NgModule({
    imports: [
        RouterModule.forChild([
            { path: '', canActivate: [IsCommunity, ConnectAdminLoginGuard], component: StatsComponent}
        ])
    ]
})
export class StatsRoutingModule { }
