import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {SubjectsEditFormComponent} from './subjects-edit-form.component';
import {IsCommunity} from '../../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {ConnectCommunityGuard} from '../../../openaireLibrary/connect/communityGuard/connectCommunityGuard.guard';

@NgModule({
    imports: [
        RouterModule.forChild([
            { path: '', canActivate: [IsCommunity, ConnectAdminLoginGuard, ConnectCommunityGuard], component: SubjectsEditFormComponent}
        ])
    ]
})
export class SubjectsEditFormRoutingModule { }
