import { OnInit } from '@angular/core';
import { ConfigurationService } from '../configuration.service';
import { Settings } from '../settings/settings';
import { DocumentResult } from './document-result';
import { DocSamplesMetadata } from '../doc-samples-metadata';
import { ActivatedRoute, Router } from '@angular/router';
export declare class ResultspreviewComponent implements OnInit {
    private route;
    private router;
    private configurationService;
    docSamples: Array<DocSamplesMetadata>;
    docNameLoaded: string;
    documentsLoaded: number;
    runingMining: boolean;
    resultsArray: Array<DocumentResult>;
    matches_number: string;
    prev_matches_number: string;
    constructor(route: ActivatedRoute, router: Router, configurationService: ConfigurationService);
    ngOnInit(): void;
    getDocSamples(): void;
    getLoadedDocuments(): void;
    chooseSample(choice: string): void;
    fileChangeUpload(event: any): void;
    getSettingsFromLocalStorage(): Settings;
    saveProfile(): void;
    highlightInElement(element: string, text: string): string;
    runMining(): void;
}
