import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CuratorComponent} from './curator.component';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';

@NgModule({
    imports: [
        RouterModule.forChild([
            { path: '', canActivate: [IsCommunity, ConnectAdminLoginGuard], component: CuratorComponent}
        ])
    ]
})
export class CuratorRoutingModule { }
