import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {EntitiesComponent} from './entities.component';
import {IsCommunityOrAdmin} from '../../openaireLibrary/connect/communityGuard/isCommunityOrAdmin';

@NgModule({
    imports: [
        RouterModule.forChild([
            { path: '', canActivate: [IsCommunityOrAdmin, ConnectAdminLoginGuard], component: EntitiesComponent}
        ])
    ]
})
export class EntitiesRoutingModule { }
