import { Component, EventEmitter, Output } from '@angular/core';

@Component({
    selector: 'fab',
    template: `
      <div (click)="onClick()" class="   uk-float-right  " style="z-index: 100; bottom: 45px; position: fixed; right: 45px;">
        <a style="padding: 14px;" class="   uk-button uk-button-danger  ">
          <!--span class="uk-icon" uk-icon="icon: plus; ratio: 1.5">
          </span-->
          <span class="uk-icon">
            <svg width="30" height="30" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" fill="currentColor" icon="plus" ratio="1.5">
            <rect x="9" y="1" width="1" height="17" fill="currentColor"></rect>
            <rect x="1" y="9" width="17" height="1" fill="currentColor"></rect></svg>
          </span>
        </a>
      </div>
    `
})

export class FABComponent {
  @Output() public clicked:EventEmitter<any> = new EventEmitter();

  constructor () {}

  public ngOnInit() {}

  public onClick() {
    this.clicked.emit(true);
  }

}
